package rlemaigr.classdiagrameditor.commands;

import org.eclipse.gef.commands.*;
import rlemaigr.classdiagrameditor.model.*;

public class DiagramElementDeleteCommand extends Command
{
	private DiagramElementModel child;
	private DiagramModel diagram;

	public DiagramElementDeleteCommand(DiagramModel diagram, DiagramElementModel child)
	{
		this.child = child;
		this.diagram = diagram;
	}
	public void execute()
	{
		diagram.removeElement(child);
	}
	public void redo()
	{
		execute();
	}
	public void undo()
	{
		diagram.addElement(child);
	}
}