package rlemaigr.classdiagrameditor.editparts;

import rlemaigr.classdiagrameditor.editpolicies.*;
import rlemaigr.classdiagrameditor.model.*;
import org.eclipse.gef.*;
import java.beans.*;

public abstract class ListEditPart extends ObjectEditPart
{
	public void createEditPolicies()
	{
		super.createEditPolicies();
		installEditPolicy(EditPolicy.LAYOUT_ROLE, new ToolbarLayoutEditPolicyImpl());
	}
	public void propertyChange(PropertyChangeEvent ev)
	{
		if(ev.getPropertyName().equals(ListModel.PROPERTY_LIST_MODIFIED))
			refreshChildren();
		super.propertyChange(ev);
	}
}
