package rlemaigr.classdiagrameditor.editpolicies;

import org.eclipse.gef.commands.*;
import org.eclipse.gef.editparts.*;
import org.eclipse.gef.requests.*;
import org.eclipse.gef.*;
import java.util.*;

public class ClassComponentEditPolicy extends ComponentEditPolicyForwardDelete
{
	public Command createDeleteCommand(GroupRequest r)
	{
		//il faut supprimer les connexions  la classe.
		CompoundCommand com = new CompoundCommand();
		
		List sourceConnections = ((AbstractGraphicalEditPart) getHost()).getSourceConnections();
		Iterator it = sourceConnections.iterator();
		while (it.hasNext())
		{
			GroupRequest request = new GroupRequest();
			request.setType(RequestConstants.REQ_DELETE);
			com.add( ((EditPart)it.next()).getCommand(request) );
		}
		
		List targetConnections = ((AbstractGraphicalEditPart) getHost()).getTargetConnections();
		it = targetConnections.iterator();
		while (it.hasNext())
		{
			GroupRequest request = new GroupRequest();
			request.setType(RequestConstants.REQ_DELETE);
			com.add( ((EditPart)it.next()).getCommand(request) );
		}
		
		if(sourceConnections.size() + targetConnections.size() == 0)
		//une commande compose vide n'est pas excutable or le comportement attendu
		//est qu'elle soit excutable mais ne fasse rien -> retourner null  la place
		//et laisser la mthode getDeleteCommand dcider quoi faire avec ce null.
			return null;
		else
			return com;
	}

}
