package rlemaigr.classdiagrameditor.commands;

import org.eclipse.gef.commands.*;
import rlemaigr.classdiagrameditor.model.*;

public class CreateAttributeCommand extends Command
{
	private ListModel list;
	private AttributeModel newAttribute;
	
	public CreateAttributeCommand(ListModel list, AttributeModel newAttribute)
	{
		this.newAttribute = newAttribute;
		this.list = list;
	}
	public void execute()
	{
		list.addElement(newAttribute);
	}
	public void redo()
	{
		execute();
	}
	public void undo()
	{
		list.removeElement(newAttribute);
	}
}
