package rlemaigr.classdiagrameditor.commands;

import org.eclipse.gef.commands.*;
import rlemaigr.classdiagrameditor.model.*;
import org.eclipse.draw2d.*;

public class DeleteBendpointCommand extends Command
{
	private int index;
	private InheritanceModel model;
	private Bendpoint bendpoint;
	
	public DeleteBendpointCommand(InheritanceModel model, int index)
	{
		this.model = model;
		this.index = index;	
	}
	public void execute()
	{
		bendpoint = model.removeBendpoint(index);
	}
	public void redo()
	{
		model.removeBendpoint(index);
	}
	public void undo()
	{
		model.addBendpoint(bendpoint, index);
	}
}
