package rlemaigr.classdiagrameditor.commands;

import org.eclipse.gef.commands.*;
import rlemaigr.classdiagrameditor.model.*;

public class ListElementAddCommand extends Command
{
	private Object child;
	private Object after;
	//private int indiceInsertion;
	private ListModel list;

	public ListElementAddCommand(ListModel list, Object child, Object after)
	{
		this.child = child;
		this.after = after;
		this.list = list;
		/*if(after == null)
		{//il faut insrer l'enfant  la fin
			indiceInsertion = list.
		}
		else
		{
			int indexAfter = list.getIndexOf(after);
			list.addElement(child, indexAfter);
		}*/
	}
	public void execute()
	{
		if(after == null)
		{//il faut insrer l'enfant  la fin
			list.addElement(child);
		}
		else
		{
			int indexAfter = list.getIndexOf(after);
			list.addElement(child, indexAfter);
		}
	}
	public void redo()
	{
		execute();
	}
	public void undo()
	{
		list.removeElement(child);
	}
}