package rlemaigr.classdiagrameditor.model;

import java.util.*;

public class DiagramModel extends ObjectModel {
	private List elements;
	
	public static final String PROPERTY_ELEMENT_ADDED = "class added";
	public static final String PROPERTY_ELEMENT_REMOVED = "class removed";
	
	public DiagramModel()
  {
  	elements = new ArrayList();
  }
	
	public List getElements()
	{
		return elements;
	}
	public void addElement(DiagramElementModel element)
	{
		elements.add(element);
		firePropertyChange(PROPERTY_ELEMENT_ADDED, null, element);
	}
	public void removeElement(DiagramElementModel element)
	{
		elements.remove(element);
		firePropertyChange(PROPERTY_ELEMENT_REMOVED, element, null);
	}
}